# ce_netstream_global – Manages global parameters of NetStream on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manages global parameters of NetStream on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

index_switch
-

Choices:
- 16 ←
- 32

Specifies the netstream index-switch.

interface - / required |  | Netstream global interface.

sampler_direction
-

Choices:
- inbound
- outbound

Specifies the netstream sampler direction.

sampler_interval - |  | Specifies the netstream sampler interval, length is 1 - 65535.

state
-

Choices:
- present ←
- absent

Specify desired state of the resource.

statistics_direction
-

Choices:
- inbound
- outbound

Specifies the netstream statistic direction.

statistics_record - |  | Specifies the flexible netstream statistic record, length is 1 - 32.

type
-

Choices:
- ip ←
- vxlan

Specifies the type of netstream global.

## Notes

Note

- Recommended connection is `network_cli`.

- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: netstream global module test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: Configure a netstream sampler at interface 10ge1/0/2, direction is outbound,interval is 30.
        ce_netstream_global:
          interface: 10ge1/0/2
          type: ip
          sampler_interval: 30
          sampler_direction: outbound
          state: present
          provider: "{{ cli }}"
      - name: Configure a netstream flexible statistic at interface 10ge1/0/2, record is test1, type is ip.
        ce_netstream_global:
          type: ip
          interface: 10ge1/0/2
          statistics_record: test1
          provider: "{{ cli }}"
      - name: Set the vxlan index-switch to 32.
        ce_netstream_global:
          type: vxlan
          interface: all
          index_switch: 32
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True

end_state
dictionary

verbose mode

k/v pairs of configuration after module execution
Sample:
{'flexible_statistic': [{'interface': '10ge1/0/2', 'statistics_record': [], 'type': 'ip'}, {'interface': '10ge1/0/2', 'statistics_record': ['test'], 'type': 'vxlan'}], 'index-switch': [{'index-switch': '16', 'type': 'ip'}, {'index-switch': '16', 'type': 'vxlan'}], 'sampler': [{'interface': 'all', 'sampler_direction': 'null', 'sampler_interval': 'null'}], 'statistic': [{'interface': '10ge1/0/2', 'statistics_direction': [], 'type': 'null'}]}

existing
dictionary

verbose mode

k/v pairs of existing configuration
Sample:
{'flexible_statistic': [{'interface': '10ge1/0/2', 'statistics_record': [], 'type': 'ip'}, {'interface': '10ge1/0/2', 'statistics_record': [], 'type': 'vxlan'}], 'index-switch': [{'index-switch': '16', 'type': 'ip'}, {'index-switch': '16', 'type': 'vxlan'}], 'ip_record': ['test', 'test1'], 'sampler': [{'interface': 'all', 'sampler_direction': 'null', 'sampler_interval': 'null'}], 'statistic': [{'interface': '10ge1/0/2', 'statistics_direction': [], 'type': 'null'}], 'vxlan_record': ['test']}

proposed dictionary | verbose mode | k/v pairs of parameters passed into module Sample: {'index_switch': '16', 'interface': '10ge1/0/2', 'state': 'present', 'statistics_record': 'test', 'type': 'vxlan'}
updates list | always | commands sent to the device Sample: ['interface 10ge1/0/2', 'netstream record test vxlan inner-ip']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- YangYang (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.